%define realname Xaw3d
Name: lib%realname
Version: 1.5
Release: alt1
%define old_release ipl9mdk

Summary: A version of the MIT Athena widget set for X
License: MIT
Group: System/Libraries
Url: ftp://ftp.x.org/contrib/widgets/Xaw3d/

Source: ftp://ftp.x.org/contrib/widgets/Xaw3d/R6.3/%realname-%version.tar.bz2
Patch1: Xaw3d-1.1-rh-shlib.patch
Patch2: Xaw3d-1.5-alt-compile.patch
Patch3: Xaw3d-1.5-rh-compile_warnings.patch
Patch4: Xaw3d-1.5-rh-i18n.patch

Provides: %realname = %version-%old_release
Obsoletes: %realname

%package devel
Summary: Header files for development using Xaw3d
Group: Development/C
Provides: %realname-devel = %version-%old_release
Obsoletes: %realname-devel
Requires: %name = %version-%release

%package devel-static
Summary: Static libraries for development using Xaw3d
Group: Development/C
Provides: %realname-devel-static = %version-%old_release
Obsoletes: %realname-devel-static
Requires: %name-devel = %version-%release

%description
Xaw3d is an enhanced version of the MIT Athena Widget set for
the X Window System.  Xaw3d adds a three-dimensional look to applications
with minimal or no source code changes.

You should install this package if you are using applications which incorporate
the MIT Athena widget set and you'd like to incorporate a 3D look into
those applications.

%description devel
Xaw3d is an enhanced version of the MIT Athena widget set for
the X Window System.  Xaw3d adds a three-dimensional look to those
applications with minimal or no source code changes.

This package includes the header files and development libraries required
for building programs that take full advantage of Xaw3d's features.

%description devel-static
Xaw3d is an enhanced version of the MIT Athena widget set for
the X Window System.  Xaw3d adds a three-dimensional look to those
applications with minimal or no source code changes.

This package includes static library required for developing programs
that take full advantage of Xaw3d's features.

%prep
%setup -qc

cd xc/lib/Xaw3d
%patch1 -p0
%patch2 -p4
%patch3 -p4
# Strange i18n patch from RH.
#%patch4 -p4
%__ln_s .. X11

%build
cd xc/lib/Xaw3d
export PATH=%_x11bindir:$PATH
xmkmf
make CDEBUGFLAGS="$RPM_OPT_FLAGS" CXXDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
cd xc/lib/Xaw3d
%make_install install DESTDIR=$RPM_BUILD_ROOT

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_x11libdir/*.so.*
%doc xc/lib/Xaw3d/README*

%files devel
%_x11libdir/*.so
%_x11includedir/X11/*

%files devel-static
%_x11libdir/*.a

%changelog
* Sun Sep 29 2002 Dmitry V. Levin <ldv@altlinux.org> 1.5-alt1
- Libificated:
  + renamed to libXaw3d*;
  + moved static library to devel-static subpackage.
- Specfile cleanup.
- Fixed some compilation warnings.
- Added documentation.

* Mon Apr 15 2002 Rider <rider@altlinux.ru> 1.5-ipl8mdk
- rebuild

* Tue Nov 28 2000 AEN <aen@logic.ru>
- rebuild for RE

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5-6mdk
- automatically added BuildRequires

* Mon Mar 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5-5mdk
- fix group.

* Sat Dec 18 1999 Stefan van der Eijk <s.vandereijk@chello.nl>
- adopted spec file to build on alpha (ifarch statement in build)
(pixel's rebuild)

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- build for new environment

* Sat Jul 17 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 1.5
- update download URL
- remove obsolete R6.3 patch

* Tue May 04 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS
- add de locale

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 21)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Fri Nov 06 1998 Preston Brown <pbrown@redhat.com>
- added security/update patch from debian (the X11R6.3 patch). Thanks guys. :)

* Wed Oct 14 1998 Cristian Gafton <gafton@redhat.com>
- handle the symlink with triggers instead of getting rid of it

* Mon Oct  5 1998 Jeff Johnson <jbj@redhat.com>
- remove backward compatible symlink.

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- fixed the bad symlink
- BuildRoot

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Nov 04 1997 Erik Troan <ewt@redhat.com>
- don't lave an improper return code from %pre

* Mon Nov 03 1997 Cristian Gafton <gafton@redhat.com>
- take care of the old location of the Xaw3d includes in case that one exist
- updated Prereq: field

* Mon Oct 26 1997 Cristian Gafton <gafton@redhat.com
- fixed the -devel package for the right include files path

* Mon Oct 13 1997 Donnie Barnes <djb@redhat.com>
- minor spec file cleanups

* Wed Oct 01 1997 Erik Troan <ewt@redhat.com>
- i18n widec.h patch needs to be applied on all systems

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- changed axp check to alpha

* Mon Jun 16 1997 Erik Troan <ewt@redhat.com>
- built against glibc
